QGIS Application - Bug report #19829
Loading georeferenced PDF crashes QGIS
2018-09-12 10:16 AM - Patrick Harvey

Status: Closed
Priority: High
Assignee:

Category: Data Provider

Affected QGIS version:3.2.2
Operating System: Win10
Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?:

Easy fix?:

Resolution:

Copied to github as #:

No

No
fixed/implemented
27653

Description
Hi See below for crash details.

| was trying to open a georeferenced PDF at the time

User Feedback

Report Details

Crash ID: 7¢905979abe6fdeec441d028205179170892e781
Stack Trace

GDALWarpOperation::WarpRegionToBuffer :
GDALWarpOperation::WarpRegionToBuffer :
VRTWarpedDataset::ProcessBlock :
VRTWarpedRasterBand::IReadBlock :
GDALRasterBand::GetLockedBlockRef :
GDALRasterBand::IRasterlO :
GDALRasterBand::RasterlO :
GDALWarpOperation::operator= :
GDALWarpOperation::operator= :
QgsMultiBandColorRenderer::block :
QgsBrightnessContrastFilter::block :
QgsHueSaturationFilter::block :
QgsRasterResampleFilter::block :
QgsRasterProjector::block :
QgsRasterlterator::readNextRasterPart :
QgsRasterDrawer:draw :
QgsRasterLayerRenderer::render :
QgsMapRendererParallelJob::renderLayerStatic :
QgsMapRendererParallelJob::renderingFinished :
QgslmageOperation::overlayColor :
QgsArchive::zip :
QtConcurrent::ThreadEngineBase::run :
QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.2-Bonn

QGIS code revision: commit:26842169e9
Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

2025-04-27

1/3




Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-09-12 10:18 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Subject changed from Loading georeferenced PDF to Loading georeferenced PDF crashes QGIS
- Category changed from Unknown to Data Provider

- Status changed from Open to Feedback

- Priority changed from Normal to High

Can you attach/link it?

#2 - 2018-09-12 11:01 AM - Patrick Harvey

https://maps.six.nsw.gov.au/etopo.html

| was trying the canberra topi but none of them load

#3 - 2018-09-12 04:20 PM - Giovanni Manghi

Patrick Harvey wrote:

https.//maps.six.nsw.qgov.au/etopo.html

I was trying the canberra topi but none of them load

no crash here on master/linux but also no map (or just super slow to load). What about 2.18?

#4 - 2018-09-21 06:42 PM - Even Rouault

Cannot reproduce on Linux with QGIS master (3.3) with "9135-1N ABERBALDIE.pdf". The display is slow due to on-the-fly VRT reprojection

#5 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#6 - 2018-11-19 12:04 AM - Patrick Harvey

Loading the PDF worked this time, however, took about 10 minutes to load. This is still far better than not loading at all as previously reported.
https://maps.six.nsw.gov.au/etopo.html
https://maps.six.nsw.gov.au/etopo.html

#7 - 2018-11-19 10:31 AM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

Patrick Harvey wrote:

Loading the PDF worked this time, however, took about 10 minutes to load. This is still far better than not loading at all as previously reported.

please file a separate ticket for the slowness problem.
